
## Chattle Laravel Package

Laravel's #1 one-to-one chatting system package, helps you add a complete real-time chatting system to your new/existing Laravel application with only one command.


## Features

- One-to-one users chat system.
- Real-time contact list updates.
- Favorite users system (Like stories style).
- Saved Messages to save your messages online like Telegram messenger app.
- Search functionality.
- Contact item's last message indicator (e.g. You: ....).
- Real-time user's active status.
- Real-time typing indicator.
- Real-time message seen indicator.
- Real-time internet connection status.
- Upload attachments (Photo/File).
- Send Emoji's.
- User details panel (Shared photos, delete conversation..).
- Responsive design with all devices.
- User settings and chat customization : user's profile photo, dark mode and chat color.
  with simple and wonderful UI design.

...and much more you have to discover it yourself.





## License

chattle is licensed under the [MIT license](https://choosealicense.com/licenses/mit/)
